package cn.iocoder.yudao.module.member.vo.userLevel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@ApiModel("管理后台 - 会员积分等级 VO")
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class MemberUserScoreLevelVO {
    @ApiModelProperty(value = "会员id")
    private Long memberId;
    @ApiModelProperty(value = "会员编码")
    private String memberCode;
    @ApiModelProperty(value = "持有积分")
    private Integer holdScore;
    @ApiModelProperty(value = "已使用积分")
    private Integer usedScore;
    @ApiModelProperty(value = "过期积分")
    private Integer expiredScore;
    @ApiModelProperty(value = "会员等级名称")
    private String levelName;
    @ApiModelProperty(value = "会员等级图标")
    private String levelIcon;
}
