package cn.iocoder.yudao.module.member.service.level;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.member.dal.dataobject.level.MemberUserLevelConfigDO;
import cn.iocoder.yudao.module.member.vo.userLevel.MemberUserLevelConfigBaseRespVO;
import cn.iocoder.yudao.module.member.vo.userLevel.MemberUserLevelConfigReqVO;
import cn.iocoder.yudao.module.member.vo.userLevel.MemberUserLevelConfigUpdateVO;

import java.util.List;

/**
 * 会员等级 Service 接口
 *
 * @author 系统管理员
 */
public interface MemberUserLevelConfigService extends IService<MemberUserLevelConfigDO> {

    PageResult<MemberUserLevelConfigBaseRespVO> getLevelPage(MemberUserLevelConfigReqVO query);

    Boolean delete(List<Long> ids);

    Boolean add(MemberUserLevelConfigUpdateVO query);

    Boolean updateLevel(MemberUserLevelConfigUpdateVO query);

    MemberUserLevelConfigBaseRespVO getLevelByCount(Integer scoreCount);
}
