package cn.iocoder.yudao.module.member.vo.userLevel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("管理后台 - 会员等级编辑 VO")
public class MemberUserLevelConfigUpdateVO {
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 名称
     */
    @ApiModelProperty(value = "等级名称")
    @NotNull(message = "name is null")
    private String name;
    /**
     * 积分范围 下界
     */
    @ApiModelProperty(value = "积分范围 下界")
    @NotNull(message = "lowerCount is null")
    private Integer lowerCount;
    /**
     * 积分范围 上界
     */
    @ApiModelProperty(value = "积分范围 上界")
    @NotNull(message = "upperCount is null")
    private Integer upperCount;
    /**
     * 图标
     */
    @ApiModelProperty(value = "图标")
    @NotNull(message = "icon is null")
    private String icon;
}
